<?php

session_start();
$rut = $_SESSION['rut'];
$cliente = $_SESSION['cliente'];
$perfil = $_SESSION['perfil'];

include '../../conexion/conn.php';

date_default_timezone_set('America/Santiago');
$fecha_actual = date("Y-m-d");

?>

<!doctype html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Lote</title>

  <?php
  include '../../rutas/encabezado2.php';
  $menu = "lote";
  ?>


</head>

<body>

  <?php
  include '../../rutas/menu_insp2.php';
  ?>


  <div class="row">
    <div class="col-sm">
      <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalForm" onclick="nuevo();">Nuevo</button>
      <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalForm" onclick="editar();">Editar</button>
      <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modalFormCerrar" onclick="cerrar();">Cerrar</button>
      <button type="button" class="btn btn-primary" onclick="copiar_todo();">Copiar Todo</button>
      <?php
      if ($cliente == "RB") {
        echo '<button type="button" class="btn btn-primary" onclick="eliminar();">Eliminar</button>';
      } else {
        echo '<button type="button" class="btn btn-primary" onclick="eliminar();">Eliminar</button>';
      }


      ?>
    </div>
  </div>

  <br />


  <table class="display" style="width:100%" id="planilla">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Fecha</th>
        <th scope="col">CC</th>
        <th scope="col">Sincro</th>
        <th scope="col">Exportador</th>
        <th scope="col">Packing</th>
        <th scope="col">Nombre</th>
        <th scope="col">Especie</th>
        <th scope="col">Nombre</th>
        <th scope="col">Turno</th>
        <th scope="col">Tipo Inspección</th>
        <th scope="col">Ingresar</th>

      </tr>
    </thead>
    <tbody>
      <?php
      if ($perfil == "ADMINISTRADOR") {
        $rs_planilla = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_especies ON cal_especies.especie_id=cal_planilla_inspeccion.pi_especie_id INNER JOIN cal_packing ON cal_packing.packing_id=cal_planilla_inspeccion.pi_packing_id where cal_planilla_inspeccion.cliente_id='$cliente' AND cal_planilla_inspeccion.tipo_planilla='LOTE' ORDER BY cal_planilla_inspeccion.pi_fecha_inspeccion DESC");
      } else {
        $rs_planilla = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_especies ON cal_especies.especie_id=cal_planilla_inspeccion.pi_especie_id INNER JOIN cal_packing ON cal_packing.packing_id=cal_planilla_inspeccion.pi_packing_id where cal_planilla_inspeccion.pi_inspector='$rut' AND cal_planilla_inspeccion.cliente_id='$cliente' AND cal_planilla_inspeccion.tipo_planilla='LOTE' ORDER BY cal_planilla_inspeccion.pi_fecha_inspeccion DESC");
      }


      while ($row_planilla = mysql_fetch_array($rs_planilla)) {
        echo '<tr>
                  <th scope="row">' . $row_planilla['pi_folio'] . '</th>
                  <td>' . $row_planilla['pi_fecha_inspeccion'] . '</td>';
        $rs_cant = mysql_query("SELECT COUNT(*) as cantidad FROM cal_cajas where pi_folio='" . $row_planilla['pi_folio'] . "'");

        if ($row_cant = mysql_fetch_array($rs_cant)) {
          $cantidad = $row_cant['cantidad'];
        }

        echo '<td>' . $cantidad . '</td>';
        echo '<td>' . $row_planilla['sincro'] . '</td>';
        echo '<td>' . $row_planilla['pi_exportador_cod'] . '</td>
                  <td>' . $row_planilla['pi_packing_id'] . '</td>
                  <td>' . $row_planilla['packing_nombre'] . '</td>
                  <td>' . $row_planilla['especie_id'] . '</td>
                  <td>' . $row_planilla['especie_nombre'] . '</td>
                  <td>' . $row_planilla['turno'] . '</td>';
        echo '<td>' . $row_planilla['tipo_inspeccion'] . '</td>';
        if ($row_planilla['pi_estado'] == "ABIERTA") {
          echo '<td><a href="../Ingreso_Lote/index.php?pi_folio=' . $row_planilla['pi_folio'] . '&especie_id=' . $row_planilla['pi_especie_id'] . '" class="btn btn-success" role="button" aria-pressed="true">IR</a></td>';
        } else {
          echo '<td></td>';
        }


        echo ' </tr>';
      }

      ?>
    </tbody>
  </table>


  <!-- Modal  NUEVO-->
  <div class="modal fade" id="modalForm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
    <div class="modal-dialog modal-full" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Crear</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form>

            <!-- Stack the columns on mobile by making one full-width and the other half-width -->
            <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
              <div class="row">
                <div class="col-sm">
                  <label for="c">Fecha Inspeccion</label>
                  <input class="form-control" id="pi_fecha_inspeccion" name="pi_fecha_inspeccion" type="date">
                </div>
                <div class="col-sm">
                  <label for="c">Turno</label>
                  <input class="form-control" id="turno" name="turno" type="numeric">
                </div>
                <div class="col-sm">
                  <label for="c">Especie</label>
                  <select class="form-control" id="pi_especie_id" name="pi_especie_id">
                    <?php
                    $rs_select_especie = mysql_query("SELECT * FROM cal_especies WHERE cliente_id='$cliente' AND tipo_medicion='LOTE' ORDER BY especie_nombre ASC");
                    echo '<option value="">Seleccionar</option>';
                    while ($row_select_especie = mysql_fetch_array($rs_select_especie)) {
                      echo '<option value="' . $row_select_especie['especie_id'] . '">' . $row_select_especie['especie_nombre'] . '</option>';
                    }
                    ?>
                  </select>
                </div>

              </div>
              <div class="row">
                <div class="col-sm">
                  <label for="c">Exportador</label>
                  <select class="form-control" id="pi_exportador_cod">
                    <?php
                    $rs_select_exportador = mysql_query("SELECT * FROM cal_exportadoras WHERE cliente_id='$cliente' ORDER BY exportador_nombre ASC");
                    echo '<option value="">Seleccionar</option>';
                    while ($row_select_exportador = mysql_fetch_array($rs_select_exportador)) {
                      echo '<option value="' . $row_select_exportador['exportador_cod'] . '">' . $row_select_exportador['exportador_nombre'] . '</option>';
                    }
                    ?>
                  </select>
                </div>
                <div class="col-sm">
                  <label for="c">Packing</label>
                  <select class="form-control" id="pi_packing_id">
                    <?php
                    $rs_select_packing = mysql_query("SELECT * FROM cal_packing WHERE cliente_id='$cliente' ORDER BY packing_nombre ASC");
                    echo '<option value="">Seleccionar</option>';
                    while ($row_select_packing = mysql_fetch_array($rs_select_packing)) {
                      echo '<option value="' . $row_select_packing['packing_id'] . '">' . $row_select_packing['packing_nombre'] . '</option>';
                    }
                    ?>
                  </select>
                </div>
                <div class="col-sm">
                  <label for="c">Tipo Inspeccion</label>
                  <select class="form-control" id="tipo_inspeccion">


                    <option value="INSPECCION DURANTE PROCESO">INSPECCION DURANTE PROCESO</option>
                    <option value="INSPECCION EN FRIGORIFICO">INSPECCION EN FRIGORIFICO</option>
                    <?php

                    echo '<option value="REEMBALAJE">REEMBALAJE</option>
                  <option value="REINSPECCION">REINSPECCION</option>
                  <option value="REPROCESO">REPROCESO</option>
                  <option value="FECHAS ANTIGUAS">FECHAS ANTIGUAS</option>
                  <option value="SINIESTRO">SINIESTRO</option>
                  <option value="INSPECCION FRUTA DE CAMARA">INSPECCION FRUTA DE CAMARA</option>';


                    ?>



                  </select>
                </div>

              </div>

            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" onclick="guardar();">Save changes</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal  CERRAR-->
  <div class="modal fade" id="modalFormCerrar" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
    <div class="modal-dialog modal-full" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Crear</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="col-sm">
            <label for="c">Observacion Planilla</label>
            <input class="form-control" id="observacion" name="observacion" type="text">
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" onclick="guardarcerrar();">Save changes</button>
        </div>
      </div>
    </div>
  </div>



  <!-- Bootstrap core JavaScript
    ================================================== -->
  <script type="text/javascript">
    var events;
    var table;
    var rowData;
    var arreglo = "";
    $(document).ready(function() {
      //$('#planilla').DataTable();
      //events = $('#events');
      table = $('#planilla').DataTable({
        select: true
      });

      table
        .on('select', function(e, dt, type, indexes) {
          var rowData = table.rows(indexes).data().toArray();
          //events.prepend( '<div><b>'+type+' selection</b> - '+JSON.stringify( rowData )+'</div>' ); listar fila
          arreglo = rowData;
        })
        .on('deselect', function(e, dt, type, indexes) {
          var rowData = table.rows(indexes).data().toArray();
          //events.prepend( '<div><b>'+type+' <i>de</i>selection</b> - '+JSON.stringify( rowData )+'</div>' ); listar fila
          arreglo = "";
        });
    });


    var url;

    function nuevo() {
      //alert(arreglo[0][2]);
      var fecha = <?php echo json_encode($fecha_actual); ?>;
      $('#pi_fecha_inspeccion').val(fecha);
      $('#pi_especie_id').val('');
      $('#pi_exportador_cod').val('');
      $('#pi_packing_id').val('');
      $('#turno').val('1');
      url = 'guardar.php';
    }

    function editar() {
      if (arreglo != "") {
        $('#pi_fecha_inspeccion').val(arreglo[0][1]);
        $('#pi_especie_id').val(arreglo[0][7]);
        $('#pi_exportador_cod').val(arreglo[0][4]);
        $('#pi_packing_id').val(arreglo[0][5]);
        $('#turno').val(arreglo[0][9]);
        $('#tipo_inspeccion').val(arreglo[0][10]);

        url = 'actualizar.php?pi_folio=' + arreglo[0][0];
      } else {
        alert("Seleccione un Registro");
        location.reload();
      }


    }

    function guardar() {
      var pi_fecha_inspeccion = $('#pi_fecha_inspeccion').val();
      var pi_especie_id = $('#pi_especie_id').val();
      var pi_exportador_cod = $('#pi_exportador_cod').val();
      var pi_packing_id = $('#pi_packing_id').val();
      var turno = $('#turno').val();
      var tipo_inspeccion = $('#tipo_inspeccion').val();


      if (pi_fecha_inspeccion == "") {
        $('#pi_fecha_inspeccion').focus();
      } else if (pi_especie_id == "") {
        $('#pi_especie_id').focus();
      } else if (pi_exportador_cod == "") {
        $('#pi_exportador_cod').focus();
      } else if (pi_packing_id == "") {
        $('#pi_packing_id').focus();
      } else if (turno == "") {
        $('#turno').focus();
      } else {



        $.ajax({
          type: 'POST',
          url: url,
          data: {
            "pi_fecha_inspeccion": pi_fecha_inspeccion,
            "pi_especie_id": pi_especie_id,
            "pi_exportador_cod": pi_exportador_cod,
            "pi_packing_id": pi_packing_id,
            "turno": turno,
            "tipo_inspeccion": tipo_inspeccion
          },
          dataType: 'json',
          cache: false,
          success: function(result) {
            //var result = eval('('+result+')');
            //alert(result.perfil);
            if (result.success) {
              $('#modalForm').modal('toggle');
              location.reload();
            } else {
              $('#modalForm').modal('toggle');
              alert("HA LLEGADO AL LIMITE DE PLANILLAS");
            }

          },
        });


      }

    }

    function eliminar() {
      if (arreglo != "") {
        $('#pi_fecha_inspeccion').val(arreglo[0][1]);
        $('#pi_especie_id').val(arreglo[0][7]);
        $('#pi_exportador_cod').val(arreglo[0][4]);
        $('#pi_packing_id').val(arreglo[0][5]);
        $('#turno').val(arreglo[0][9]);

        url = 'eliminar.php?pi_folio=' + arreglo[0][0];
        //alert(arreglo[0][0]);

        if (confirm("Desea Borrar la planilla " + arreglo[0][0] + "?")) {
          $.ajax({
            type: 'POST',
            url: url,
            data: {
              "pi_folio": arreglo[0][0]
            },
            dataType: 'json',
            cache: false,
            success: function(result) {
              //var result = eval('('+result+')');
              //alert(result.perfil);
              if (result.success) {

                location.reload();
              } else {

                alert("HA LLEGADO AL LIMITE DE PLANILLAS");
              }

            },
          });
        }
      } else {
        alert("Seleccione un Registro");
        location.reload();
      }


    }

    function copiar_todo(){
      if (confirm("Desea Copiar la planilla " + arreglo[0][0] + "?")) {
          $.ajax({
            type: 'POST',
            url: 'copiar_todo.php',
            data: {
              "pi_folio": arreglo[0][0]
            },
            dataType: 'json',
            cache: false,
            success: function(result) {
              //var result = eval('('+result+')');
              //alert(result.perfil);
              if (result.success) {

                location.reload();
              } else {

                alert("HA LLEGADO AL LIMITE DE PLANILLAS");
              }

            },
          });
        }

    }

    function cerrar() {
      if (arreglo != "") {
        var pi_folio = arreglo[0][0];
        //alert(pi_folio);

        url = 'cerrar.php?pi_folio=' + arreglo[0][0];
      } else {
        alert("Seleccione un Registro");
        location.reload();
      }

    }

    function guardarcerrar() {
      var observacion = $('#observacion').val();
      $.ajax({
        type: 'POST',
        url: url,
        data: {
          "observacion": observacion
        },
        dataType: 'json',
        cache: false,
        success: function(result) {
          //var result = eval('('+result+')');
          //alert(result.perfil);
          if (result.success) {
            $('#modalFormCerrar').modal('toggle');
            location.reload();
          } else {
            $('#modalFormCerrar').modal('toggle');
            alert("Ya Esta Cerrada");
          }

        },
      });

    }
  </script>

  <?php
  include '../../rutas/scriptfinales2.php';
  ?>

</body>

</html>